## org.h2.test.jdbc
Class TestPreparedStatement.SequenceTrigger

    java.lang.Object
      org.h2.test.jdbc.TestPreparedStatement.SequenceTrigger

All Implemented Interfaces:
  Trigger

Enclosing class:
  TestPreparedStatement

    public static class TestPreparedStatement.SequenceTrigger

extends java.lang.Object
implements Trigger

A trigger that creates a sequence value.

Field Summary

Fields inherited from interface org.h2.api.Trigger
`DELETE, INSERT, SELECT, UPDATE`

Constructor Summary
`TestPreparedStatement.SequenceTrigger()`

Method Summary
`void` `close()` This method is called when the database is closed.
`void` `fire(java.sql.Connection conn, java.lang.Object[] oldRow, java.lang.Object[] newRow)` This method is called for each triggered action.
`void` `init(java.sql.Connection conn, java.lang.String schemaName, java.lang.String triggerName, java.lang.String tableName, boolean before, int type)` This method is called by the database engine once when initializing the trigger.
`void` `remove()` This method is called when the trigger is dropped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestPreparedStatement.SequenceTrigger

    public TestPreparedStatement.SequenceTrigger()

Method Detail

### fire

    public void fire(java.sql.Connection conn,
                     java.lang.Object[] oldRow,
                     java.lang.Object[] newRow)
              throws java.sql.SQLException

  Description copied from interface: `Trigger`
  This method is called for each triggered action. The method is called immediately when the operation occurred (before it is committed). A transaction rollback will also rollback the operations that were done within the trigger, if the operations occurred within the same database. If the trigger changes state outside the database, a rollback trigger should be used.

  The row arrays contain all columns of the table, in the same order as defined in the table.

  Specified by:
    `fire` in interface `Trigger`
  Parameters:
    `conn` - a connection to the database
    `oldRow` - the old row, or null if no old row is available (for INSERT)
    `newRow` - the new row, or null if no new row is available (for DELETE)
  Throws:
    `java.sql.SQLException` - if the operation must be undone

### init

    public void init(java.sql.Connection conn,
                     java.lang.String schemaName,
                     java.lang.String triggerName,
                     java.lang.String tableName,
                     boolean before,
                     int type)

  Description copied from interface: `Trigger`
  This method is called by the database engine once when initializing the trigger. It is called when the trigger is created, as well as when the database is opened.

  Specified by:
    `init` in interface `Trigger`
  Parameters:
    `conn` - a connection to the database
    `schemaName` - the name of the schema
    `triggerName` - the name of the trigger used in the CREATE TRIGGER statement
    `tableName` - the name of the table
    `before` - whether the fire method is called before or after the operation is performed
    `type` - the operation type: INSERT, UPDATE, or DELETE

### close

    public void close()

  Description copied from interface: `Trigger`
  This method is called when the database is closed. If the method throws an exception, it will be logged, but closing the database will continue.

  Specified by:
    `close` in interface `Trigger`

### remove

    public void remove()

  Description copied from interface: `Trigger`
  This method is called when the trigger is dropped.

  Specified by:
    `remove` in interface `Trigger`